## org.gnu.gtk
Class StatusBar

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Box
                          org.gnu.gtk.HBox
                              org.gnu.gtk.StatusBar

public class StatusBar
extends HBox

A Statusbar is usually placed along the bottom of an application's main `Window`. It may provide a regular commentary of the application's status (as is usually the case in a web browser, for example), or may be used to simply output a message when the status changes, (when an upload is complete in an FTP client, for example). It may also have a resize grip (a triangular area in the lower right corner) which can be clicked on to resize the window containing the statusbar.

Status bars in Gtk+ maintain a stack of messages. The message at the top of the each bar's stack is the one that will currently be displayed.

Any messages added to a statusbar's stack must specify a contextID that is used to uniquely identify the source of a message. This contextID can be generated by `getContextID(String)`, given a message. Note that messages are stored in a stack, and when choosing which message to display, the stack structure is adhered to, regardless of the context identifier of a message.

Messages are added to the bar's stack with `push(int,String)`.

The message at the top of the stack can be removed using `pop(int)`. A message can be removed from anywhere in the stack if it's messageID was recorded at the time it was added. This is done using `remove(int, int)`.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`StatusBar()` Creates a new StatusBar Widget
`StatusBar(Handle handle)` Creates a new StatusBar from a handle to native resources.

Method Summary
`void` `addListener(StatusBarListener listener)` Register an object to handle StatusBar events.
`protected void` `fireStatusBarEvent(StatusBarEvent event)`
`int` `getContextID(java.lang.String description)` Returns a new context identifier, given a description of the actual context.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`protected static Handle` `getFrame(Handle cptr)`
`boolean` `getHasResizeGrip()` Returns whether the statusbar has a resize grip.
`protected static Handle` `getLabel(Handle cptr)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `gtk_statusbar_get_context_id(Handle statusbar, java.lang.String contextDescription)`
`protected static boolean` `gtk_statusbar_get_has_resize_grip(Handle statusbar)`
`protected static int` `gtk_statusbar_get_type()`
`protected static Handle` `gtk_statusbar_new()`
`protected static void` `gtk_statusbar_pop(Handle statusbar, int contextId)`
`protected static int` `gtk_statusbar_push(Handle statusbar, int contextId, java.lang.String text)`
`protected static void` `gtk_statusbar_remove(Handle statusbar, int contextId, int messageId)`
`protected static void` `gtk_statusbar_set_has_resize_grip(Handle statusbar, boolean setting)`
`void` `pop(int contextID)` Removes the message at the top of the statusbar's stack.
`int` `push(int contextID, java.lang.String text)` Pushes a new message onto a statusbar's stack.
`void` `remove(int contextID, int messageID)` Forces the removal of a message from a statusbar's stack.
`void` `removeListener(StatusBarListener listener)` Removes a listener
`void` `setHasResizeGrip(boolean setting)` Sets whether the statusbar has a resize grip.

Methods inherited from class org.gnu.gtk.HBox
`gtk_hbox_get_type, gtk_hbox_new`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, gtk_box_get_homogeneous, gtk_box_get_spacing, gtk_box_get_type, gtk_box_pack_end_defaults, gtk_box_pack_end, gtk_box_pack_start_defaults, gtk_box_pack_start, gtk_box_query_child_packing, gtk_box_reorder_child, gtk_box_set_child_packing, gtk_box_set_homogeneous, gtk_box_set_spacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusBar

    public StatusBar()

  Creates a new StatusBar Widget

### StatusBar

    public StatusBar(Handle handle)

  Creates a new StatusBar from a handle to native resources. This should only be used internally by the Java-Gnome packages.

Method Detail

### getContextID

    public int getContextID(java.lang.String description)

  Returns a new context identifier, given a description of the actual context.

  Parameters:
    `description` - textual description of what context the new message is being used in.
  See Also:
    `StatusBar`

### push

    public int push(int contextID,
                    java.lang.String text)

  Pushes a new message onto a statusbar's stack.

  Parameters:
    `contextID` - The message's context id, as returned by `getContextID(String)`
    `text` - The message to add to the statusbar.
  Returns:
    The message's new message id for use with `remove(int, int)`

### pop

    public void pop(int contextID)

  Removes the message at the top of the statusbar's stack.

  Parameters:
    `contextID` - a context identifier.

### remove

    public void remove(int contextID,
                       int messageID)

  Forces the removal of a message from a statusbar's stack. The exact contextID and messageID must be specified.

  Parameters:
    `contextID` - A context identifier.
    `messageID` - A message identifier, as returned by `push(int, String)`.

### setHasResizeGrip

    public void setHasResizeGrip(boolean setting)

  Sets whether the statusbar has a resize grip. TRUE by default.

  Parameters:
    `setting` - TRUE to have a resize grip.

### getHasResizeGrip

    public boolean getHasResizeGrip()

  Returns whether the statusbar has a resize grip.

  Returns:
    TRUE if the statusbar has a resize grip.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### addListener

    public void addListener(StatusBarListener listener)

  Register an object to handle StatusBar events.

  See Also:
    `StatusBarListener`

### removeListener

    public void removeListener(StatusBarListener listener)

  Removes a listener

  See Also:
    `addListener(StatusBarListener)`

### fireStatusBarEvent

    protected void fireStatusBarEvent(StatusBarEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### getFrame

    protected static final Handle getFrame(Handle cptr)

### getLabel

    protected static final Handle getLabel(Handle cptr)

### gtk_statusbar_get_type

    protected static final int gtk_statusbar_get_type()

### gtk_statusbar_new

    protected static final Handle gtk_statusbar_new()

### gtk_statusbar_get_context_id

    protected static final int gtk_statusbar_get_context_id(Handle statusbar,
                                                            java.lang.String contextDescription)

### gtk_statusbar_push

    protected static final int gtk_statusbar_push(Handle statusbar,
                                                  int contextId,
                                                  java.lang.String text)

### gtk_statusbar_pop

    protected static final void gtk_statusbar_pop(Handle statusbar,
                                                  int contextId)

### gtk_statusbar_remove

    protected static final void gtk_statusbar_remove(Handle statusbar,
                                                     int contextId,
                                                     int messageId)

### gtk_statusbar_set_has_resize_grip

    protected static final void gtk_statusbar_set_has_resize_grip(Handle statusbar,
                                                                  boolean setting)

### gtk_statusbar_get_has_resize_grip

    protected static final boolean gtk_statusbar_get_has_resize_grip(Handle statusbar)